sasl.h File Reference

SASL authentication helpers. More...

## Functions

char * | sasl_plain (xmpp_ctx_t *ctx, const char *authid, const char *password)
| low-level sasl routines
char * | sasl_digest_md5 (xmpp_ctx_t *ctx, const char *challenge, const char *jid, const char *password)
| generate auth response string for the SASL DIGEST-MD5 mechanism
char * | sasl_scram (xmpp_ctx_t *ctx, const struct hash_alg *alg, const char *channel_binding, const char *challenge, const char *first_bare, const char *jid, const char *password)
| generate auth response string for the SASL SCRAM mechanism

## Detailed Description

SASL authentication helpers.

## Function Documentation

## sasl_plain()

char * sasl_plain | ( | xmpp_ctx_t * | ctx,
|  | const char * | authid,
|  | const char * | password
| ) |  |

low-level sasl routines

low-level sasl routines

## sasl_digest_md5()

char * sasl_digest_md5 | ( | xmpp_ctx_t * | ctx,
|  | const char * | challenge,
|  | const char * | jid,
|  | const char * | password
| ) |  |

generate auth response string for the SASL DIGEST-MD5 mechanism

## sasl_scram()

char * sasl_scram | ( | xmpp_ctx_t * | ctx,
|  | const struct hash_alg * | alg,
|  | const char * | channel_binding,
|  | const char * | challenge,
|  | const char * | first_bare,
|  | const char * | jid,
|  | const char * | password
| ) |  |

generate auth response string for the SASL SCRAM mechanism